<?php

namespace helpers;

use Exception;
use objects\products_o;

class xlvask_parser_ht_b_rstel_s extends xlvask_product_parser
{
    use xlvask_product_parser_t;

    public function __construct()
    {
        $this->setup('ht_b_rstel_s');
    }


    /**
     * @inheritDoc
     * @throws Exception
     */
    protected function parse(xlvask_wash_item $wash_item, xlvask_usage_log $xlvask_usage_log): products_o
    {
        return (new products_o())->select(64); // Irrelevant product ID
    }
}